ListResourceAttributes
/api/v1/resources/{resource}/resourceattributesList attributes for a given resource. Attributes are sourced from external systems such as Okta.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/resources/{resource}/resourceattributes"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/resources/{resource}/resourceattributes"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredFormat:
resources/{resource}, orresources/-to list across all resources.
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)The maximum number of resource attributes to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListResourceAttributescall.filterstringOptional filter to be used. This currently only supports filtering by integration name:
filter=integration="integrations/okta"
Response
Section titled “Response”200ListResourceAttributesResponseresourceAttributesResourceAttribute[]namestringAssigned by Oblique. Name of the attribute of the format
resources/{resource}/resourceattributes/{resource_attribute}.createTimestring (date-time)read-onlyCreate timestamp of the attribute. This is the time of the first sync that detected the attribute.
updateTimestring (date-time)read-onlyThe last time that the attribute was modified.
integrationstringrequiredThe integration that manages the attribute.
Format:
integrations/{integration}keystringrequiredThe key of the attribute.
valuestringrequiredThe value of the attribute.
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |